<!doctype html>
<html class="no-js">
  <head>
    <meta charset="utf-8">
    <title>健美革命大挑战</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <!-- <link rel="shortcut icon" href="/favicon.ico"> -->
    <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
    <!-- build:css(.) styles/vendor.css -->
    <!-- bower:css -->
    <!-- endbower -->
    <!-- endbuild -->
    <!-- build:css(.tmp) styles/main.css -->
    <link rel="stylesheet" href="styles/main.css">
    <!-- endbuild -->
  </head>
  <body>
    <!--[if lt IE 10]>
      <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->

    <div id="preloader" class="overlay">
      <div class="loading" id="loading-canvas">
          <div class="percent">
              <div class="table">
                  <div class="table-cell" id="progress">0%</div>
              </div>
          </div>
      </div>
      <!-- <div id="preloaderCover">
        <div id="progressText"><span>请稍候</span></div>
        <div id="progressBar">
          <div></div>
        </div>
      </div>
      <div id="preloadImg"></div> -->
    </div>

    <div id="index" class="page">
      <div class="row">
        <img src="images/index_logos.png" alt="" />
      </div>
      <div class="row marginTop20">
        <img class="logo" src="images/sixpadLogo.png" alt="" />
      </div>
      <div class="row">
        <img src="images/welcome.png" alt="" />
      </div>
      <br>
      <div class="row">
        <p>巅覆传统健身观，一键击退赘肉！<br>C罗教你随时随地塑造健美身体</p>
      </div>
      <div class="row">
        <p>别忘了分享你的骄人成绩到朋友圈，<br>邀请大家一起体验吧！</p>
      </div>
      <div class="row marginBottom10">
        <div class="btn" onclick="page.change('gender');tracker('index','start');">
          <span>开始游戏</span>
        </div>
      </div>
      <div class="terms row marginBottom5">
        条款与细则
      </div>
    </div>

    <div id="gender" class="page">
      <div class="paddingTop10 row">
        <p>
          请选择性别
        </p>
      </div>
      <div class="">
        <div id="card">
          <div class="front">
            <div id="fBtn" onclick="cardFlip(true)">

            </div>
            <img src="images/gender_male.png" alt="" />
          </div>
          <div class="back">
            <div id="BBtn" onclick="cardFlip(false)">

            </div>
            <img src="images/gender_female.png" alt="" />
          </div>
        </div>
      </div>
        <!-- <div class="">
          <div id="male" class="btn yellow selected" onclick="genderBtn('male',this)">
            <span>Male</span>
          </div>
          <div id="female" class="btn yellow female" onclick="genderBtn('female',this)">
            <span>Female</span>
          </div>
        </div> -->
      <div class="marginBottom5 row">
        <div class="btn" onclick="page.change('upload');tracker('gender','next');">
          <span>下一步</span>
        </div>
      </div>
    </div>

    <div id="upload" class="page">
      <div class="marginTop0 ground">
        <br><br>
        <div id="" class="row width18 marginAuto">
          <div id="uploadHide" class="row">
            <p>定制你的头像</p>
          </div>
        </div>
        <div id="editControl" class="row width18 marginAuto">
          <div class="row">
            <p>任意调整照片</p>
          </div>
          <!-- <div class="editBtn">
              <img src="images/zoomInBtn.png" alt="" onClick="zoomImage()"/>
          </div>
          <div class="editBtn">
              <img src="images/zoomOutBtn.png" alt="" onClick="zoomOutImage()"/>
          </div> -->
          <!-- <div class="editBtn">
              <img src="images/rotateIcon.png" alt="" onClick="canvasRotate()"/>
          </div> -->
        </div>
      </div>
      <div id="editBtn" onClick="canvasRotate();tracker('upload','rotate Button');">
          <img src="images/rotateIcon.png" alt="" />
      </div>

      <div id="uploader">
        <div id="uploadBtn">
          <input id="fileUpload" type="file" class="upload" accept="image/*" capture="camera">
        </div>
      </div>
      <div id="editPhoto" onclick="">
        <div id="uploadCon" class="width50">
          <!-- <div class="floatLeft">
            <img id="addimg" src="images/addimg.png" alt="" />
          </div> -->
          <div class="btn" onclick="upload();tracker('upload','upload Button');">
            <span>上传照片</span>
          </div>
        </div>

        <div id="faceCan" class="">
          <canvas id="resultCanvas2"></canvas>
          <div id="canvasContainer"></div>
        </div>
      </div>
      <div id="faceCon" class="">
        <img id="resizeIcon" src="images/resizeIcon.png" alt="" onClick=""/>
        <img id="face" src="images/face_male.png" alt="" />
      </div>
      <div class="row marginBottom5">
        <div id="backToGender" class="btn backBtn" onclick="page.change('gender');tracker('upload','back to gender');">
          <span>上一步</span>
        </div>
        <div id="reUpload" class="btn backBtn" onclick="reUpload();tracker('upload','reupload');">
          <span>上一步</span>
        </div>
        <div class="btn yellow" onclick="toPreviewPage();tracker('upload','next');">
          <span>下一步</span>
        </div>
      </div>
    </div>

    <div id="gameTutor" class="overlay">
      <br><br>
      <p class="orangeFont">
        点击腹肌亮起橙色的部位
      </p>
      <p>
        你有30次点击机会，<br>当橙色部位亮起，立即点击。<br>所需时间愈短，成绩愈好。
      </p>
      <!-- <p>
        分享成绩到朋友圈,<br>有机会与C罗见面
      </p> -->
      <br>
      <div class="row">
        <img id="tutorSixpad" src="images/tutorSixpad.png" onclick="game.init();tracker('game tutor','start game');"/>
      </div>
      <div class="btn yellow" onclick="game.init();tracker('game tutor','start game');">
        <span>立即锻炼</span>
      </div>
    </div>

    <div id="game" class="page">
      <img id="previewPng" src="" alt="" />
      <div id="cdBallCon">
        <div id="cdBall">
          <div id="ballText">
            3
          </div>
          <img src="images/cdBall.png" alt="" />
        </div>
      </div>
      <div id="cdCon">
        <div id="upperCd">
          <div class="cdBox"></div>
          <div class="cdTri">
            <img src="images/cd.png" alt="" />
          </div>
        </div>
        <div id="lowerCd">
          <div class="cdTri">
            <img src="images/cd.png" alt="" />
          </div>
          <div class="cdBox"></div>
        </div>
      </div>
      <div id="scoreBar">
        <div id="tapCountCon" class="scorebox whiteFont">
          <div class="">
            <div id="curScore" class="">
              <span id=""></span>
            </div>
            <div class="">
              <span class="smallText">剩余<br>击数</span>
            </div>
          </div>
        </div>
        <div id="timer" class="scorebox whiteFont">
          <div class="">
            <div id="timerIcon" class="">
              <img src="images/timerIcon.png" alt="" />
            </div>
            <div class="">
              <span class="smallText">计时</span><br>
              <span id="timeUse" class="">0.00</span>
            </div>
          </div>
        </div>
        <div id="targetBar" class="row">
          <div>
            <div></div>
          </div>
        </div>
      </div>
      <!-- <br> -->
      <canvas id="finalCanvas"></canvas>
      <div id="gameCon"></div>
      <div id="score"><span></span></div>
      <!-- <canvas id="gameCanvas" width="300" height="300"></canvas> -->
    </div>

    <div id="result" class="page">
      <div class="row">
        <img src="images/index_logos.png" alt="" />
      </div>
      <br>
      <div class="row">
        <img class="logo" src="images/sixpadLogo.png" alt="" />
      </div>
      <div class="row">
        <img src="images/congrads.png" alt="" />
      </div>
      <div class="content">
        <div class="row">
          <div class="bodyCon before">
            <span class="text orangeFont smallText">Before</span>
            <img class="profileImg" src="" alt="" />
            <img id="resultBefore" class="resultBefore resultBodyImg" src="images/result_male_before.png" alt="" />
          </div>
          <div class="bodyCon after">
            <span class="text orangeFont smallText">After</span>
            <img class="profileImg" src="" alt="" />
            <img id="resultAfter" class="resultAfter resultBodyImg" src="images/result_male_after.png" alt="" />
          </div>
        </div>
        <div class="row marginTop5">
          <div class="orangeFont bigFont floatLeft">
            成绩：<span class="resultTime">9.12</span> 秒
          </div>
          <div class="floatRight">
            <div class="row resultFont">
              <div class="whiteFont textLeft boldFont">
                最佳成绩：<span class="minTime">9.12</span> 秒
              </div>
              <div class="floatRight whiteFont textLeft boldFont">
                平均成绩：<span class="meanTime">9.12</span> 秒
              </div>
            </div>
          </div>
        </div>
        <!-- <div class="row resultFont">
          <div class=" whiteFont ">
            最佳成绩：<span id="minTime">9.12</span> 秒
          </div>
          <div class="floatRight whiteFont">
            平均成绩：<span id="meanTime">9.12</span> 秒
          </div>
        </div> -->
        <div class="clearfix"></div>
        <div class="row whiteFont marginTop5">
          <p class="textLeft">
            巅覆传统健身法，革命性的贴附式健身仪强势来袭<br>
            引爆身体革命，从现在开始！
          </p>
        </div>
        <!-- <img src="images/index.jpg" alt="" /> -->
        <div class="row textLeft">
          <div class="btn yellow" onclick="page.show('howToShare');tracker('result','share');">
            <span>分享朋友圈</span>
          </div>
        </div>
        <div class="row">
          <p class="textLeft">
            了解Sixpad，抽奖有礼
          </p>
        </div>
        <div class="row textLeft">
          <div class="btn yellow" onclick="page.change('luckydraw');tracker('result','lucky draw');">
            <span>我要参加</span>
          </div>
        </div>
      </div>
    </div>

    <div id="howToShare" class="overlay">
      <img src="images/howToShare.png" alt="" />
      <br><br><br>
      <div class="row">
        <div class="btn yellow" onclick="page.hide('howToShare');tracker('how to share','back');">
          <span>返回</span>
        </div>
      </div>
    </div>

    <div id="luckydraw" class="page">
      <div class="row" style="height:20px"></div>
      <div class="row">
        <img class="logo" src="images/sixpadLogo.png" alt="" />
      </div>
      <div class="row">
        <p>
        <span class="bold orangeFont">恭喜你极速炼成健美身体!</span><br>
          只差一步，即有机会赢大奖
        </p>
      </div>
      <br>
      <div class="row">
        <img src="images/luckyDraw.png" alt="" />
      </div>
      <img src="images/line.png" alt="" />
      <div class="row">
        <input id="name" type="text" name="name" placeholder="姓名: (必填)" value="">
      </div>
      <img src="images/line.png" alt="" />
      <div class="row">
        <input id="phone" type="tel" name="phone" placeholder="电话: (必填)" value="">
      </div>
      <img src="images/line.png" alt="" />
      <div class="row">
        <input id="email" type="email" name="email" placeholder="电邮: (选项)" value="">
      </div>
      <img src="images/line.png" alt="" />
      <br><br>
      <div class="row">
        <div class="btn yellow" onclick="saveForm();tracker('lucky draw','submit');">
          <span>提交</span>
        </div>
      </div>
    </div>

    <div id="thankyou" class="page">
      <div class="row" style="">
        <img src="images/index_logos.png" alt="" />
      </div>
      <br>
      <div class="row">
        <img class="logo" src="images/sixpadLogo.png" alt="" />
      </div>
      <br>
      <div class="row">
        <img src="images/thankyou.png" alt="" />
      </div>
      <div class="content">
        <div class="row whiteFont">
          <p>
            <span class="bold orangeFont">
              你已成功加与抽奖，<br>敬请期待惊喜奖赏！
            </span>
            <br><br>
            C罗跨界研发、划时代的高效锻炼方式Sixpad<br>
            美体革命震撼来袭<br><br>
            巅覆传统健身方法，随时随地为日常生活增添运动力
          </p>
        </div>
        <br>
        <div class="row">
          <div class="btn yellow" onclick="toWebsite();tracker('thank you','product site');">
            <span>了解 Sixpad</span>
          </div>
        </div>
      </div>
    </div>

    <div id="share" class="page">
      <!-- <div id="designId"></div> -->
      <div class="row">
        <img src="images/index_logos.png" alt="" />
      </div>
      <br>
      <div class="row">
        <img class="logo" src="images/sixpadLogo.png" alt="" />
      </div>
      <div class="row">
        <img src="images/share_title.png" alt="" />
      </div>
      <div class="content">
        <div class="row">
          <div class="bodyCon before">
            <span class="text orangeFont smallText">Before</span>
            <img class="profileImg" src="" alt="" />
            <img id="resultBefore" class="resultBefore resultBodyImg" src="images/result_male_before.png" alt="" />
          </div>
          <div class="bodyCon after">
            <span class="text orangeFont smallText">After</span>
            <img class="profileImg" src="" alt="" />
            <img id="resultAfter" class="resultAfter resultBodyImg" src="images/result_male_after.png" alt="" />
          </div>
        </div>
        <div class="row marginTop5">
          <div class="orangeFont bigFont floatLeft">
            成绩：<span class="resultTime">9.12</span> 秒
          </div>
          <div class="floatRight">
            <div class="row resultFont">
              <div class="whiteFont textLeft boldFont">
                最佳成绩：<span class="minTime">9.12</span> 秒
              </div>
              <div class="floatRight whiteFont textLeft boldFont">
                平均成绩：<span class="meanTime">9.12</span> 秒
              </div>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
          <div class="row whiteFont marginTop5">
            <p class="textLeft">
                巅覆传统健身法，革命性的贴附式健身仪强势来袭引爆身体革命，从现在开始！
            </p>
          </div>
        </div>
        <br>
        <div class="row">
          <div class="btn yellow inlineBlock" onclick="window.location='http://sp.lee-create.com/';tracker('share','start');">
            <span>开始游戏</span>
          </div>
        </div>
      </div>
    </div>

    <!-- build:js(.) scripts/vendor.js -->
    <!-- bower:js -->
    <script src="scripts/jquery.js"></script>
    <!-- endbower -->
    <!-- endbuild -->

    <!-- Google Analytics: change UA-XXXXX-X to be your site's ID. -->
    <script>
      (function(b,o,i,l,e,r){b.GoogleAnalyticsObject=l;b[l]||(b[l]=
      function(){(b[l].q=b[l].q||[]).push(arguments)});b[l].l=+new Date;
      e=o.createElement(i);r=o.getElementsByTagName(i)[0];
      e.src='//www.google-analytics.com/analytics.js';
      r.parentNode.insertBefore(e,r)}(window,document,'script','ga'));
      ga('create','UA-XXXXX-X');ga('send','pageview');
    </script>

    <!-- build:js({app,.tmp}) scripts/main.js -->
    <script src="scripts/jquery_mobile.js"></script>
    <script src="scripts/config.js"></script>
    <script src="scripts/authRouting.js"></script>
    <script src="scripts/main.js"></script>
    <script src="scripts/kinetic.js"></script>
    <script src="scripts/megapix-image.js"></script>
    <script src="scripts/editor.js"></script>
    <script src="scripts/game.js"></script>
    <script src="scripts/weChat.js"></script>
    <script src="scripts/share.js"></script>
    <script src="scripts/jquery.flip.js"></script>
    <!-- endbuild -->
</body>
  <script type="text/javascript">
    getHashAndOid();
    var windowWidth = $(window).width();
    var windowHeight = $(window).height();
    $('.page').width(windowWidth);
    $('.page').height(windowHeight);
    $('#card').flip({
      axis: 'Y',
      trigger:'manual'
    });
    $('.front').width(windowWidth);
    $('.back').width(windowWidth);

    var _hmt = _hmt || [];
    (function() {
      var hm = document.createElement("script");
      hm.src = "//hm.baidu.com/hm.js?6324bec9bc5773f2e156935e9ea86b59";
      var s = document.getElementsByTagName("script")[0];
      s.parentNode.insertBefore(hm, s);
    })();

  </script>
</html>
